# Class IncrementalCompileOptions

java.lang.Object
org.gradle.api.tasks.scala.IncrementalCompileOptions

public abstract class IncrementalCompileOptions extends Object
Options for incremental compilation of Scala code. Only used for compilation with Zinc. This is not sent to the compiler daemon as options.

Since:
  1.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IncrementalCompileOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract RegularFileProperty`
  `getAnalysisFile()`
  Returns the file path where results of code analysis are to be stored.
  `abstract RegularFileProperty`
  `getClassfileBackupDir()`
  Returns the path to the directory where previously generated class files are backed up during the next, incremental compilation.
  `abstract RegularFileProperty`
  `getPublishedCode()`
  Returns the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IncrementalCompileOptions

    @Inject public IncrementalCompileOptions()

- ## Method Details

  - ### getAnalysisFile

    @LocalState public abstract RegularFileProperty getAnalysisFile()
    Returns the file path where results of code analysis are to be stored.
    Since:
      1.3

  - ### getClassfileBackupDir

    @LocalState public abstract RegularFileProperty getClassfileBackupDir()
    Returns the path to the directory where previously generated class files are backed up during the next, incremental compilation. If the compilation fails, class files are restored from the backup.
    Since:
      6.6

  - ### getPublishedCode

    @Internal public abstract RegularFileProperty getPublishedCode()
    Returns the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.
    Since:
      1.3